#ifndef CONSTANT_H
#define CONSTANT_H

class Constant {
public:
    Constant() {}
    enum RecordMode {
        NoChannelRecord,
        OneChannelRecord,
        TwoChannelRecord
    };

    enum PlaybackMode {
        OneChannelPlayback = 1,
        TwoChannelPlayback = 2
    };

    static constexpr char* LogPath = "/opt/RecordControlApplication/logs/log.txt";
    static constexpr char* ConfigurationPath = "/opt/RecordControlApplication/configuration/config.json";
    static constexpr char* NetConfigPath = "/opt/RecordControlApplication/configuration/net.json";
    static constexpr char* NetScriptPath = "/opt/RecordControlApplication/scripts/setNetwork.sh";
    static constexpr char* DatabasePath = "/opt/RecordControlApplication/database/data.db";
    static constexpr char* VideoPath = "/root/usb/videos";
    static constexpr char* MountedPath = "/root/usb";
    static constexpr char* ErrorImagePath = "/opt/RecordControlApplication/images/error.jpeg";
    static constexpr char* EmptyImagePath = "/opt/RecordControlApplication/images/empty.jpeg";
    static constexpr char* FinishImagePath = "/opt/RecordControlApplication/images/finish.jpeg";
    static constexpr char* MainChannel = "HDMI-A";
    static constexpr char* SecondaryChannel = "HDMI-B";
    static constexpr char* RecordOverlay = "/opt/RecordControlApplication/overlay/record.json";
    static constexpr char* NoRecordOverlay = "/opt/RecordControlApplication/overlay/no-record.json";
};

#endif // CONSTANT_H
