#ifndef TCPCONTROLLER_H
#define TCPCONTROLLER_H

#include "TcpRequest.h"
#include "TcpResponse.h"
#include <QObject>
#include <QTcpSocket>

class TcpRequestHandler : public QObject {
    Q_OBJECT
public:
    TcpRequestHandler(QObject* parent = nullptr);
    void service(TcpRequest* request, TcpResponse* reponse);

private:
    void setIpaddr(TcpRequest* request, TcpResponse* reponse);

    void setName(TcpRequest* request, TcpResponse* reponse);
    void getName(TcpRequest* request, TcpResponse* reponse);

    void setVideoEnc(TcpRequest* request, TcpResponse* reponse);
    void getVideoEnc(TcpRequest* request, TcpResponse* reponse);

    void getFileList(TcpRequest* request, TcpResponse* reponse);
    void deleteFile(TcpRequest* request, TcpResponse* reponse);

    void setRecordMode(TcpRequest* request, TcpResponse* reponse);
    void setPlaybackMode(TcpRequest* request, TcpResponse* reponse);

    void reboot(TcpRequest* request, TcpResponse* reponse);

    void setCurrentTime(TcpRequest* request, TcpResponse* reponse);
};

#endif // TCPCONTROLLER_H
