#ifndef TCPRESPONSE_H
#define TCPRESPONSE_H

#include <QTcpSocket>

class TcpResponse {
public:
    explicit TcpResponse(QTcpSocket* socket);

    void success(QString msg = "", QVariant data = QVariant());
    void error(QString msg = "");
    void setUrl(const QString& url);

private:
    QTcpSocket* socket;

    QString url;
};

#endif // TCPRESPONSE_H