#ifndef TOOL_H
#define TOOL_H
#include <QString>
#include <functional>

class Tool {
public:
    Tool();

    static QStringList getFileList(QString path);

    static bool removeFile(QString path);

#ifdef Q_OS_LINUX
    static QString writeCom(QString path);
#endif
    static int64_t getAvailableStorage(QString mountedPath);

    static double getCostTime(std::function<void(void)> callback, const char* callbackName = "");
};

#endif // TOOL_H
